<script context="module" lang="typescript">
  export type IconName = 'example'
</script>

<script lang="typescript">
  import { fileHash } from 'src/_generated/public.hash'

  export let name: IconName
  export let color: string | undefined = undefined
  export let size: number = 24

  let iconPath: string
  $: {
    const path = `icons/${name}.svg`
    const h = fileHash(path)

    if (!h) {
      throw new Error(`Fails to resolve path for icon: ${name}`)
    }

    iconPath = `/icons/${name}.${h}.svg#icon`
  }
</script>

<svg width={size} height={size} style={color ? `color: ${color}` : ''}>
  <use xlink:href={iconPath} />
</svg>
